import { Order } from ".";
interface AuthenticationParams {
    username?: string;
    password?: string;
}
interface OrdersPagination {
    start?: number;
    maxOrders?: number;
}
export declare class Hebe {
    private readonly noTokenError;
    private readonly baseUrl;
    token?: string;
    username: string;
    password: string;
    constructor({ username, password }?: AuthenticationParams);
    /**
     * Obtains `this.token` with optionally specified credentials. If not specified, credentials from constructor are to be used.
     *
     * @param authenticationParams - optional, if specified will override set on contructor `this.username` and `this.password`
     */
    authenticate: ({ username, password, }?: AuthenticationParams) => Promise<void>;
    /**
     * Retrieves users orders. Authenticates if not authenticated
     *
     * @param OrdersPagination: optional, if not specified, `maxOrders=100` and `start=0`
     * @returns a list of Order class
     */
    getOrders: ({ maxOrders, start }?: OrdersPagination) => Promise<Order[]>;
    private obtainOrders;
    private obtainAuthDwsidToken;
    private obtainInitialToken;
    private get headers();
}
export {};
//# sourceMappingURL=Hebe.d.ts.map